#ifndef ASTEROID_H
#define ASTEROID_H

#include "aitest.h"

class AsteroidData;

class Asteroid:public QGraphicsItem
{
	public:
		Asteroid();
		~Asteroid();
		void paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);
		QRectF boundingRect() const;
		void setData(AsteroidData* dt);
		static void GenPathes();
	protected:
		void mousePressEvent(QGraphicsSceneMouseEvent *e);
	private:
		AsteroidData *data;
		static QPainterPath* getPath(int type);
		static QPainterPath *path1;
		static QPainterPath *path2;
		static QPainterPath *path3;
		static QPainterPath *path4;

};



#endif